<?php

namespace App\Models;

class Company extends AbstractModel
{

    protected $table = 'companies';

    protected $fillable = [
        'marking', 'name', 'email', 'registration_no', 'tax_no'
    ];

    public function addressBook()
    {
        return $this->hasMany('App\Models\AddressBook', 'reference_id', 'id')->where('type', '=', 1);
    }

}
